package com.ruoyi.interfaces.core.service;

import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author LinQiLong
 * @date 3/31/2022 11:41 PM
 */
public interface CrudService<T, P> {
    int insert(T var1);

    int update(T var1);

    int delete(T var1);

    T get(P var1);

    List<T> findList(P var1);

    List<T> findPage(P var1);

    PageInfo<T> findPageInfo(P var1);
}
